---
search:
  tags:
    - Contact properties
    - POST
seo:
  description: >-
    Create a property. Reference for the POST /contact-properties endpoint in
    the BillionSend API.
sidebar:
  label: Create a property
  badge: POST
title: Create a property
type: openapi-operation
---
`POST /contact-properties`

**Request body** (`application/json`, required)

- `key` (string, required)
- `type` (string, required)
- `fallback_value` (string | number | null)

Request body example:

```json
{
  "key": "string",
  "type": "string",
  "fallback_value": "string"
}
```

**Responses**

- `200` — Contact property created
- `401` — Missing, malformed, unknown or revoked API key
- `409` — Property already exists
- `422` — Validation error
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "created_at": "string",
  "key": "string",
  "type": "string",
  "fallback_value": "string",
  "object": "contact_property"
}
```
